Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHBoxLayout Class Reference

The QHBoxLayout class lines up widgets horizontally. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QHBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )
- QHBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
- QHBoxLayout ( int spacing = -1, const char * name = 0 )
- ~QHBoxLayout ()

## Detailed Description

The QHBoxLayout class lines up widgets horizontally.

This class is used to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

            QBoxLayout * l = new QHBoxLayout( widget );
            l->setAutoAdd( TRUE );
            new QSomeWidget( widget );
            new QSomeOtherWidget( widget );
            new QAnotherWidget( widget );

or like this:

            QBoxLayout * l = new QHBoxLayout( widget );
            l->addWidget( existingChildOfWidget );
            l->addWidget( anotherChildOfWidget );

See also QVBoxLayout, QGridLayout, the Layout overview, Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )

Constructs a new top-level horizontal box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### QHBoxLayout::QHBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )

Constructs a new horizontal box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QHBoxLayout will inherit its parent's spacing().

### QHBoxLayout::QHBoxLayout ( int spacing = -1, const char * name = 0 )

Constructs a new horizontal box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QHBoxLayout will inherit its parent's spacing().

### QHBoxLayout::~QHBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.